%% COEFICIENTES PARA O MANCAL A E B
% Conforme Kramer 6.39 PDF pag.88

function [varargout] = C_Brg_Coefficient_FlexBrg(epsilon, F0, h0, omegas)
  pi2 = pi^2;
  epsilon2 = epsilon .^ 2;
  epsilon4 = epsilon .^ 4;

  A = 4 ./ (pi2 + (16 - pi2) .* epsilon2) .^ (3/2);
  gama11 = (2 * pi2 + (16 - pi2) .* epsilon2) .* A;
  gama12 = (pi / 4) .* ((pi2 - 2 * pi2 .* epsilon2 - (16 - pi2) .* epsilon4 )  ./ (epsilon .* (1 - epsilon2).^(1/2))) .* A;
  gama21 = -(pi / 4) .* ((pi2 + (32 + pi2) .* epsilon2 + (32 - 2 * pi2) .* epsilon4) ./ (epsilon .* (1 - epsilon2) .^ (1/2))) .* A;
  gama22 = ((pi2 + (32 + pi2) .* epsilon2 + (32 - 2 * pi2) .* epsilon4) ./ (1 - epsilon2)) .* A;

  k11 = gama11 .* F0 ./ h0;
  k12 = gama12 .* F0 ./ h0;
  k21 = gama21 .* F0 ./ h0;
  k22 = gama22 .* F0 ./ h0;

  beta11 = (pi / 2) .* (sqrt(1 - epsilon2) ./ epsilon) .* (pi2 + (2 .* pi2 - 16) .* epsilon2) .* (A) ;
  beta12 = -(2 * pi2 + (4*pi2 - 32) .* epsilon2 ) .* (A);
  beta21 = beta12;
  beta22 = (pi/2) .* ((pi2 + (48 - 2 * pi2) .* epsilon2 + (pi^2 .* epsilon4)) ./ (epsilon .* (1 - epsilon2).^(1/2))) .* A;

  d11 = beta11 .* F0 ./ (h0 .* omegas);
  d12 = beta12 .* F0 ./ (h0 .* omegas);
  d21 = beta21 .* F0 ./ (h0 .* omegas);
  d22 = beta22 .* F0 ./ (h0 .* omegas);

  %Output
  varargout{1} = (k11);
  varargout{2} = (k12);
  varargout{3} = (k21);
  varargout{4} = (k22);
  
  varargout{5} = (d11);
  varargout{6} = (d12);
  varargout{7} = (d21);
  varargout{8} = (d22);
end
