%%% FOUNDATION DYNAMICS
function [varargout] = E_Foundation_Input_Matrices_FlexBrg_Case1(Nnos, df, omegas, n_omega, node_mancais, brg_number, ...
                       k11, k12, k21, k22, d11, d12, d21, d22, ind_eq)
  %% FOUNDATION MATRICES
  df_foundation = 2;          % {y, z}
  Nnos_foundation = 2;        % {y1, z1, y2, z2}

  %% Estudo 1
  aa1 = [1, 0, 0, 0;
        0, 1, 0, 0;
        0, 0, 1, 0;
        0, 0, 0, 1];
  
  % Case 1: Low Stiffness
  m_f = 1e0;                  % 0.1*mr;
  c_f = 1e1;                  % 0.1*sqrt(kf*mf);
  k_f = 1e2;

  M_f = m_f * aa1; %eye(n_dof_f);
  C_f = c_f * aa1; %eye(n_dof_f);
  K_f = k_f * aa1; %eye(n_dof_f);

  %% Criating the matrices
  Krf = zeros(Nnos * df, length(K_f), length(omegas));
  Rrf = zeros(Nnos * df, length(K_f), length(omegas));

  Kfr = zeros(length(K_f), Nnos * df, length(omegas));
  Rfr = zeros(length(K_f), Nnos * df, length(omegas));

  Kff = zeros(length(K_f), length(K_f), length(omegas));
  Rff = zeros(length(K_f), length(K_f), length(omegas));
       
  for m = 1:brg_number
    for k = 1:n_omega                              
        if m == 1
            ind_brg = ind_eq(node_mancais(m), 1:4);
            
            %% ff - Foundation - Oil Film
            Kff(:,:,k) = Kff(:,:,k) + [k11(m, k), k12(m, k), 0, 0 ;
                                       k21(m, k), k22(m, k), 0, 0 ;
                                               0,         0, 0, 0 ;
                                               0,         0, 0, 0];
            
            Rff(:,:,k) = Rff(:,:,k) + [d11(m, k), d12(m, k), 0, 0;
                                       d21(m, k), d22(m, k), 0, 0;
                                               0,         0, 0, 0 ;
                                               0,         0, 0, 0];
                              
            %% rf - rotor - oilfilm
            Krf(ind_brg,1:4,k) = -1 * [k11(m, k), k12(m, k), 0, 0;
                                       k21(m, k), k22(m, k), 0, 0;
                                               0,         0, 0, 0;
                                               0,         0, 0, 0];

            Rrf(ind_brg,1:4,k) = -1 * [d11(m, k), d12(m, k), 0, 0;
                                       d21(m, k), d22(m, k), 0, 0;
                                               0,         0, 0, 0;
                                               0,         0, 0, 0];
                                             
            %%fr - oilfilm - rotor
            Kfr(1:4,ind_brg,k) = -1 * [ k11(m, k), k12(m, k), 0, 0;
                                        k21(m, k), k22(m, k), 0, 0;
                                                0,         0, 0, 0;
                                                0,         0, 0, 0];

            Rfr(1:4,ind_brg,k) = -1 * [ d11(m, k), d12(m, k), 0, 0;
                                        d21(m, k), d22(m, k), 0, 0;
                                                0,         0, 0, 0;
                                                0,         0, 0, 0];
        end
        
        if m == 2
        ind_brg = ind_eq(node_mancais(m), 1:4);
        
        %% ff - Oilfilm - Foundation
        Kff(:,:,k) = Kff(:,:,k)+ [0, 0, 0, 0 ;
                                  0, 0, 0, 0 ;
                                  0, 0, k11(m, k), k12(m, k);
                                  0, 0, k21(m, k), k22(m, k)];
                    
        Rff(:,:,k) = Rff(:,:,k)+ [0, 0,         0,        0 ;
                                  0, 0,         0,        0 ;
                                  0, 0, d11(m, k), d12(m, k);
                                  0, 0, d21(m, k), d22(m, k)];
                                             
        %% rf - rotor - oilfilm
        Krf(ind_brg,1:4,k) = -1 * [0, 0, k11(m, k), k12(m, k);
                                   0, 0, k21(m, k), k22(m, k);
                                   0, 0,         0,         0;
                                   0, 0,         0,         0];
                               
        Rrf(ind_brg,1:4,k) = -1 * [0, 0, d11(m, k), d12(m, k);
                                   0, 0, d21(m, k), d22(m, k);
                                   0, 0,         0,         0;
                                   0, 0,         0,         0];
        
        %%fr - oilfilm - rotor                        
        Kfr(1:4,ind_brg,k) = -1 * [          0,         0, 0, 0;
                                             0,         0, 0, 0;
                                     k11(m, k), k12(m, k), 0, 0;
                                     k21(m, k), k22(m, k), 0, 0];
                                 
        Rfr(1:4,ind_brg,k) = -1 * [          0,         0, 0, 0;
                                             0,         0, 0, 0;
                                     d11(m, k), d12(m, k), 0, 0;
                                     d21(m, k), d22(m, k), 0, 0];
        end
    end
  end

  %Output
  varargout{1} = (Krf);
  varargout{2} = (Rrf);

  varargout{3} = (Kfr);
  varargout{4} = (Rfr);

  varargout{5} = (Kff);
  varargout{6} = (Rff);

  varargout{7} = (M_f);
  varargout{8} = (K_f);
  varargout{9} = (C_f);
  
  varargout{10} = (df_foundation);
  varargout{11} = (Nnos_foundation);
end
