function [varargout] = G_Dynamic_Matrix_StateVector_WithFoundation(...
                       omegas, ...
                       Mgk, Kgk, Cgk, Ggk, ...
                       M_f, K_f, C_f, ...
                       Krf, Rrf, Kfr, Rfr, Kff, Rff, ...
                       Id72x72, null72x72, null68x4, null4x68, null4x4)
    %% FORMA MODAL - MATRIZ DE VETOR DE ESTADOS
    k = 1;
    M_withfoundation(:,:,k) = [Mgk(:,:,k), null68x4;
                               null4x68   , M_f    ];
                           
    inv_M_withfoundation = - inv(M_withfoundation);
    
    K_withfoundation = [Kgk(:,:,k) , Krf(:,:,k)       ;
                        Kfr(:,:,k) , K_f + Kff(:,:,k) ];
    
    C_withfoundation = [Cgk(:,:,k) , Rrf(:,:,k)      ;
                        Rfr(:,:,k) , C_f + Rff(:,:,k)];
    
    G_withfoundation = [Ggk(:,:,k), null68x4;
                        null4x68  , null4x4];
    
    invM_K = inv_M_withfoundation * K_withfoundation;
    invM_CeG = inv_M_withfoundation(:,:,k) * (C_withfoundation + omegas(k) * G_withfoundation);
    
    D_withfoundation = [null72x72, Id72x72  ;
                        invM_K   , invM_CeG];
    
    %% FREQUENCIAS NATURAIS E MODOS DE VIBRAR
    [lamb_withfoundation] = eig(D_withfoundation);
    wn_withfoundation = abs(lamb_withfoundation);                           % Obtendo o absoluto do lambda = frequencia natual [rad/s]
    wn_sorted_withfoundation = sort(wn_withfoundation);                     % Reoganizando o modulo da frequencia natural (rad/s)
  
    %% Output
    varargout{1} = (wn_sorted_withfoundation);
 end
